# 本地dev脚本
echo 'remove container'

docker container stop catalog_site_prod

docker container rm catalog_site_prod

docker container stop catalog_site

docker container rm catalog_site

echo 'remove image'

docker rmi catalog_site:prod

docker rmi catalog_site:dev

echo 'remove package-lock.json'
rm package-lock.json

echo 'remove .nuxt'
rm -rf .nuxt

echo 'remove node_modules'
rm -rf node_modules

echo 'docker build'
docker build -t catalog_site:dev .

echo 'docker run dev container'
docker run -d -p 10174:9877 -v ${PWD}:/app --name catalog_site catalog_site:dev
